/*----------GLOBAL SETTINGS----------*/
.activate{
  top: -365px !important;
}
.activate2{
  top: -865px !important;
}
.close{
  position: absolute;
  right: 20px;
  top: 20px;
  display: block;
  cursor: pointer;
}
body{
  display: flex;
  margin: 0;
  font-family: sans-serif,Arial,Helvetica;
}
form input[name="uname"]{
  padding: 15px;
  font-size: 16px;
  margin-bottom: -1px;
  width: 300px;
  border-radius: .25rem;
  border: 1px solid lightgray;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
form input[name="passwd"]{
  padding: 15px;
  font-size: 16px;
  width: 300px;
  border-radius: .25rem;
  border: 1px solid lightgray;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

/*---------- NAV ----------*/
.typeU{
  display: none;
}
.closenav{
  display: none;
  position: absolute;
  right: 10px;
  top: -5px;
  cursor: pointer;
}
nav{
  max-width: 300px;
  width: 100%;
  position: fixed;
  height: 100%;
  z-index: 99;
  transition: 0.5s ease-in-out;
}
h1#kmf {
  margin: 0;
  height: 50px;
  border: 1px solid black;
  border-left-width: 0px;
  border-top-style: none;
  line-height: 50px;
  text-align: center;
  font-weight: 400;
  background-color: #343a40;
  color: white;
}
.wrapperNav {
  height: 100%;
  border-right: 1px solid lightgray;
  background-color: #f8f9fa;
  padding: 20px;
}
.wrapperNav ul {
  margin: 0;
  list-style-type: none;
  width: 100%;
  padding: 0;
}
.wrapperNav ul .liTitle{
  padding-bottom: 20px;
}
/*---------- HEADER ----------*/
header{
  display: flex;
  align-items: center;
  height: 50px;
  border: 1px solid black;
  border-left-style: none;
  border-top-style: none;
  background-color: #343a40;
  position: fixed;
  width: calc(100% - 300px);
  z-index: 5;
}
form.search{
  width: calc(100% - 300px);
  padding: 4px 20px;
  margin: 0;
}
form.search input{
  width: 100%;
  padding: 0;
  margin: 0;
  height: 40px;
  border: none;
  background-color: #495057;
}
form.search input:focus{
  background-color: white;
}
.sliding{
  left: 0;
}
.burger{
  display: none;
  padding:15px;
  cursor: pointer;
}
.burger img{
  width: 25px;
}
.btnGrp{
  max-width: 300px;
  width: 100%;
}
a.login, .addMusic {
    padding: 10px;
    text-decoration: none;
    color: white;
    background-color: dodgerblue;
    border-radius: .25rem;
    transition: 0.5s;
    border: 2px solid dodgerblue;
}
a.login:hover, .addMusic:hover{
  background-color: transparent;
  color: dodgerblue;
}
a.logout{
  padding: 10px;
  text-decoration: none;
  color: white;
  background-color: red;
  border-radius: .25rem;
  transition: 0.2s;
  border: 2px solid red;
}
a.logout:hover{
  background-color: transparent;
  color: red;
}
a.register{
  padding: 10px;
  text-decoration: none;
  color: white;
  background-color: forestgreen;
  border-radius: .25rem;
  transition: 0.2s;
  border: 2px solid forestgreen;
}
a.register:hover{
  background-color: transparent;
  color: forestgreen;
}
/*---------- MAIN ----------*/
main{
  width: 100%;
  margin-left: 300px;
}
section#wrapperMain{
  padding:70px 20px 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.mtitle{
  font-weight: normal;
  font-size: 21px;
  padding-top: 15px;
  text-align: center;
  margin: 0;
}
.martist{
  margin: 0;
  text-align: center;
}
.mdesc{
  display: inline-block;
  margin: 0;
  padding-left: 5px;
  font-size: 9px;
}
.musicase{
  max-width: 200px;
  width: 100%;
  margin: 0;
  border: 1px solid lightgrey;
  border-radius: .25rem;
  height: 280px;
  margin-bottom: 20px;
  position: relative;
}
.musicase section.imgSec{
  width: 100%;
  height: 200px;
  background-color: darkseagreen;
  border-bottom-right-radius: 8px;
  border-bottom-left-radius: 8px;
}
.musicase section.imgSec img{
  border-bottom-right-radius: 8px;
  border-bottom-left-radius: 8px;
  width: 200px;
  height: 200px;
}
.dots{
  position: absolute;
  bottom: 5px;
  right: 10px;
  width: 4px;
  cursor: pointer;
}
/*---------- FORMLOGIN ----------*/
.wrapperLogin{
  max-width: 450px;
  width: 100%;
  display: flex;
  justify-content: center;
  margin: 0 auto;
  position: fixed;
  left: 0;
  right: 0;
  top: 90px;
  height: 350px;
  transition: 0.3s ease-in-out;
  background-color: #f8f9fa;
  box-shadow: 0px 4px 5px 0px #c7c7c7;
}
.wrapperLogin form{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #f8f9fa;
  max-width: 300px;
  width: 100%;
}
.wrapperLogin form h2{
  font-weight: normal;
  font-size: 27px;
}
/*---------- FORMREGISTER ----------*/
.wrapperRegister{
  max-width: 450px;
  width: 100%;
  display: flex;
  justify-content: center;
  margin: 0 auto;
  position: fixed;
  left: 0;
  right: 0;
  top: 90px;
  height: 350px;
  transition: 0.3s ease-in-out;
  background-color: #f8f9fa;
  box-shadow: 0px 4px 5px 0px #c7c7c7;
}
.wrapperRegister form {
  max-width: 300px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.wrapperRegister form h2{
  font-weight: normal;
  font-size: 27px;
}
/*---------- FORMADD ----------*/
.wrapperAdd{
  max-width: 450px;
  width: 100%;
  display: flex;
  justify-content: center;
  margin: 0 auto;
  position: fixed;
  left: 0;
  right: 0;
  top: 55px;
  height: 570px;
  transition: 0.3s ease-in-out;
  background-color: #f8f9fa;
  box-shadow: 0px 4px 5px 0px #c7c7c7;
}
.wrapperAdd form {
  max-width: 300px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.wrapperAdd form input[type="text"]{
  padding: 15px;
  font-size: 16px;
  margin-bottom: -1px;
  width: 300px;
  border-radius: .25rem;
  border: 1px solid lightgray;
}
.wrapperAdd form input[type="submit"]{
  width: 332px;
  height: 45px;
  font-size: 17px;
  color: white;
  -webkit-appearance: none;
  background: dodgerblue;
  border: none;
}
/*---------- FORMMODSUPR ----------*/
.wrapperModifSupr{
  max-width: 450px;
  width: 100%;
  display: flex;
  justify-content: center;
  margin: 0 auto;
  position: fixed;
  left: 0;
  right: 0;
  top: 55px;
  height: 570px;
  transition: 0.3s ease-in-out;
  background-color: #f8f9fa;
  box-shadow: 0px 4px 5px 0px #c7c7c7;
}
.wrapperModifSupr form {
  max-width: 300px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.wrapperModifSupr form input[type="text"]{
  padding: 15px;
  font-size: 16px;
  margin-bottom: -1px;
  width: 300px;
  border-radius: .25rem;
  border: 1px solid lightgray;
}
.wrapperModifSupr form input[type="submit"]{
  width: 332px;
  height: 45px;
  font-size: 17px;
  color: white;
  -webkit-appearance: none;
  background: dodgerblue;
  border: none;
}
.wrapperModifSupr form input[type="submit"]:last-of-type{
  background-color: red;
}
.wrapperModifSupr .containerSub{
  display: flex;
  max-width: 332px;
}

.wrapperAdd,.wrapperRegister, .wrapperLogin, .wrapperModifSupr{
  z-index: 60;
}

/*------------------- Media queries -------------------*/
@media screen and (max-width: 675px){
  nav{
    left: -300px;
    transition: 0.5s ease-in-out;
  }
  main{
    margin: 0;
  }
  header{
    width: 100%;
  }
  .burger{
    display: block;
  }
}
